#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <errno.h>
#include <string.h>

/* C-deklaracija asemblerske f-je */

void quick_sort(int a[],int l,int d);


/* Program testira asemblersku f-ju quick_sort(). */
int main(int argc, char ** argv)
{

  int * array = NULL;
  int n;
  int i;

  assert(scanf("%d",&n) == 1);

  if((array = malloc(n * sizeof(int))) == NULL){
    printf("%s: malloc() error: %s\n", argv[0], strerror(errno));
    exit(EXIT_FAILURE);
  }

  for(i = 0 ; i < n ; i++)
    assert(scanf("%d",array + i) == 1); 

  quick_sort(array, 0, n - 1);

  for(i = 0 ; i < n ; i++)
    printf("%d ",array[i]);

  printf("\n");

  free(array);

  return EXIT_SUCCESS;
}
